
function templateNameSelected(menuItem){
	// テンプレート・ポップアップが選択された
	var templateF = document.getElementById("templateF");
	var labelF = document.getElementById("labelF");
	var removeButton = document.getElementById("removeB");
	var item = menuItem.value;
    
    templateF.value = item;
    
    // buff のカンマ区切りを、改行区切りに変更して表示
	if (item == "... 新規テンプレート"){
		templateF.value = "";
		templateF.focus();
		labelF.value = "";
		removeButton.style.display = "none"; // 表示しない
	} else {
		templateF.value = item;
		removeButton.style.display = "block"; // 表示する

		// buff のカンマ区切りを、改行区切りに変更して表示
        var rec = recordForKey(item);
        var array = rec.value.split(_separator);
        labelF.value = array.join("\n");
/*		var buff = recordForKey(item);
		var array = buff.split(_separator);
		labelF.value = array.join("\n");*/
	}
}

function showEditor(){
	// pickup の編集ウインドーを開く
	var elm = document.getElementById("_confirm");
	elm.innerHTML = "";
	var tbl = newTABLE(elm, "bodyTable");
	tbl.style.backgroundColor = "#ff0";
	
	// テンプレート名
	var tr = newTR(tbl, "", "");
	var td = newTD(tr, "usage", "");
	var pu = makePopupMenu(td, "templatePopup", templateItems(), "");
	pu.setAttribute("onchange", "templateNameSelected(this)");
	var td = newTD(tr, "", "");
	var bt = newBUTTON(td, "removeB", "削除");
	bt.setAttribute("onclick", "removeTemplate()");
	
	var tr = newTR(tbl, "", "");
	var td = newTD(tr, "usage", "");
	td.setAttribute("colspan","2");
	var fd = newFIELD(td, "templateF", "", 25, "");
	
	// ラベル設定欄
	var tr = newTR(tbl, "", "");
	var td = newTD(tr, "usage", "ピックアップしたいラベル名");
	td.setAttribute("colspan","2");
	
	var tr = newTR(tbl, "", "");
	var td = newTD(tr, "usage", "");
	td.setAttribute("colspan","2");
	var fd = newTEXTAREA(td, "labelF", "25", "20", "");

	var tr = newTR(tbl, "", "");
	var td = newTD(tr, "", "");
	td.setAttribute("colspan","2");
	td.style.padding = "5px 5px";
	td.style.textAlign = "right";
	var bt = newBUTTON(td, "", "確定");
	td.setAttribute("onclick", "saveTemplate()");

	// ### openFloatPanel() の style は opener:NOA のライブラリーが使われる
	openFloatPanel(tbl, 5, 5, "Pickup 編集パネル");
	
	function templateItems(){
		var items = new Array();
		var array = templateNames();
		for (num in array){
			items.push(array[num]);
		}
        items.push("... 新規テンプレート");
		return items;
	}
}

